using DbController;

namespace Tabletop.Core.Models
{
    public class Capture
    {
        [CompareField("capture_id")]
        public int CaptureId { get; set; }
        [CompareField("move_id")]
        public int MoveId { get; set; }
        [CompareField("player_id")]
        public int PlayerId { get; set; }
        [CompareField("team_id")]
        public int TeamId { get; set; }
        [CompareField("capture_zone_nr")]
        public int CaptureZoneNr { get; set; }
        [CompareField("nr_of_turns")]
        public int NrOfTurns { get; set; }
        [CompareField("points_received")]
        public int PointsReceived { get; set; }

        public Dictionary<string, object?> GetParameters()
        {
            return new Dictionary<string, object?>
            {
                { "CAPTURE_ID", CaptureId },
                { "MOVE_ID", MoveId },
                { "PLAYER_ID", PlayerId },
                { "TEAM_ID", TeamId },
                { "CAPTURE_ZONE_NR", CaptureZoneNr },
                { "NR_OF_TURNS", NrOfTurns },
                { "POINTS_RECEIVED", PointsReceived }
            };
        }
    }
}